> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 組織のデフォルトプラットフォームを取得 (Devin API)

> v3 組織 API を使用して、組織のデフォルトの Devin セッション配置先 (ホスト型プラットフォームのラベルまたは outpost プール) を取得します

新しいセッションに適用される、組織全体のデフォルトの配置先を返します。これは webapp の **Settings > Devin > Default platform** に表示される値と同じです。

<h2 id="permissions">
  権限
</h2>

組織のメンバーである[サービスユーザー](/ja/api-reference/v3/service-users/members-service-users)または[パーソナルアクセストークン](/ja/api-reference/personal-access-tokens)が必要です。

<h2 id="behavior">
  動作
</h2>

* ホスト型のデフォルトは `platform` に返されます (例: `linux` や `windows`) 。
* アウトポストのデフォルトは `outpost_pool_id` に返されます。そのプールが引き続き組織で利用可能な場合は、`outpost_pool_name` も併せて返されます。
* デフォルトが設定されていない場合、3つのフィールドはすべて `null` になります。この場合、セッションは標準的なホスト型プラットフォーム上で run されます。
* ユーザー個人のデフォルト (セッションコンポーザーのプラットフォーム選択メニューで星印を付けたもの) は、そのユーザー自身のセッションではこの値よりも優先されます。


## OpenAPI

````yaml ja/v3-openapi.yaml GET /v3beta1/organizations/{org_id}/default-platform
openapi: 3.1.0
info:
  description: Service User 認証および RBAC に対応した Devin v3 API
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3beta1/organizations/{org_id}/default-platform:
    get:
      tags:
        - organization-settings
      summary: 組織のデフォルトプラットフォームを取得
      description: |-
        新しいセッションの配置先として組織に設定されているデフォルトを取得します。

        これは、設定 > Devinに表示される組織全体のデフォルトです。
        ユーザー個人のデフォルトが設定されている場合、そのユーザーの
        セッションでは個人の設定が優先されます。保存済みのデフォルトが組織で
        利用できなくなっていても、その値は返されます（セッション作成時には適用されません）。
      operationId: >-
        handle_get_org_default_platform_v3beta1_organizations__org_id__default_platform_get
      parameters:
        - description: '組織ID（プレフィックス: org-）'
          in: path
          name: org_id
          required: true
          schema:
            example: org-abc123def456
            title: Org Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrgDefaultPlatformResponse'
          description: 成功レスポンス
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: 認証されていません
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: アクセスが禁止されています
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: 見つかりません
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: 競合
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: 処理できないコンテンツ
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: リクエストが多すぎます
components:
  schemas:
    OrgDefaultPlatformResponse:
      description: 新しいセッションに適用される、組織のデフォルトの配置先。
      properties:
        outpost_pool_id:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            新しいセッションのデフォルトの実行先となるアウトポストプール。デフォルトがホスト型プラットフォームの場合、または未設定の場合は
            Null。
          title: Outpost Pool Id
        outpost_pool_name:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            デフォルトのアウトポストプールの名前。デフォルトがアウトポストプールでない場合、または組織でそのプールが利用できなくなった場合は
            Null。
          title: Outpost Pool Name
        platform:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            新しいセッションのデフォルトの実行先となるホスト型プラットフォームのラベル（例：'linux'、'windows'）。デフォルトがアウトポストプールの場合、または未設定の場合は
            Null。
          title: Platform
      required:
        - platform
        - outpost_pool_id
        - outpost_pool_name
      title: OrgDefaultPlatformResponse
      type: object
    ProblemDetail:
      description: >-
        v3 API 用の RFC 9457 application/problem+json エラーボディ。


        detail は後方互換性のため、レガシーな {"detail": ...}
        ボディから引き継がれます。その他のメンバーは追加式です。errors にはフィールドレベルのバリデーションエラーが含まれます（422
        の場合のみ）。
      properties:
        detail:
          anyOf:
            - type: string
            - type: 'null'
          description: この事象に固有の、人が読める説明。
          title: Detail
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          description: ブロックされた操作の拒否理由を示す機械可読コード（例："user_frozen"、"migrated_session"）。
          title: Error Code
        errors:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          description: フィールド単位のバリデーションエラー（422 レスポンスのみ）。
          title: Errors
        instance:
          anyOf:
            - type: string
            - type: 'null'
          description: この発生箇所の URI 参照（リクエストパス）。
          title: Instance
        status:
          description: HTTP ステータスコード。
          title: Status
          type: integer
        title:
          description: 問題タイプを人が読める短い要約。
          title: Title
          type: string
        type:
          default: about:blank
          description: 問題タイプを識別する URI 参照。
          title: Type
          type: string
      required:
        - title
        - status
      title: ProblemDetail
      type: object
  securitySchemes:
    bearerAuth:
      description: 'サービスユーザーの認証情報（接頭辞: cog_）'
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.